> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Datacenter & ISP IPs/Zone

> Get the available Data center/ISP IPs per Zone

<Tip>
  Paste your API token to the authorization field. To get a token, [Create an account](https://brightdata.com/?hs_signup=1\&utm_source=docs\&utm_campaign=playground) and learn how to [generate a token](/api-reference/unlocker/api_token)
</Tip>


## OpenAPI

````yaml GET /zone/route_ips
openapi: 3.0.1
info:
  title: Brightdata API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /zone/route_ips:
    get:
      tags:
        - Proxy
      description: Get the available Data center/ISP IPs per Zone
      parameters:
        - name: zone
          in: query
          description: Zone
          required: true
          schema:
            type: string
        - name: country
          in: query
          description: 2-letter Country code
          schema:
            type: string
        - name: list_countries
          in: query
          description: >-
            Return `JSON` array of `[{ip, country},..]` instead of plain list of
            IPs
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            Successful response with plain IPs list separated by new line, or
            JSON array of `[{ip, country},..]` in case `list_countries=true`
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    description: >-
                      Return `JSON` array of `[{ip, country},..]` when
                      `list_countries=true` 

                       ## Example: 

                       ```
                      [
                        {"ip": "1.1.1.1", "country": "us"},
                        {"ip": "1.1.2.2", "country": "hk"},
                      ]
                    properties:
                      ip:
                        type: string
                        description: IP address
                        example: 1.1.1.1
                      country:
                        type: string
                        description: 2-letter Country code
                        example: us
                    example:
                      - ip: 10.0.0.0
                        country: us
                      - ip: 1.1.1.1
                        country: gb
                      - ip: 1.1.2.2
                        country: hk
                  - type: string
                    description: >-
                      Plain list of IPs separated by new line when
                      `list_countries=false` 

                       ## Example: 

                       ```
                      1.1.1.1

                      1.1.2.2

                      10.0.0.0

                      ```
                    example: 10.0.0.0/24
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````